<?php

namespace App\Filament\Resources\UniPopUpResource\Pages;

use App\Filament\Resources\UniPopUpResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Filament\Notifications\Notification;

class EditUniPopUp extends EditRecord
{
    protected static string $resource = UniPopUpResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make(),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getSavedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Uni Pop Up updated successfully')
            ->body('The uni pop up has been updated successfully.');
    }
}
